/* Modify extra config in loongnix system. */
/* 1: enable e10s */
pref("browser.tabs.remote.force-enable", true);

/* 2: enable ayncchronous Pan/Zoom */
pref("apz.drag.enabled", true);

/* 3: Disable flash update check */
pref("extensions.blocklist.enabled", false);

/* 4: Allow the AsyncInit and AsyncDrawing mode to be used for plugins */
pref("dom.ipc.plugins.asyncInit.enabled", true);
pref("dom.ipc.plugins.asyncdrawing.enabled", true);

/* 5: Default active plugins. */
pref("plugin.default.state", 2);
pref("plugin.click_to_play", false);

/* 6: Disalbe extension signature check */
pref("xpinstall.signatures.required", false);

/* 7:  fix High Definition video could not play */
pref("dom.use_watchdog",false);

pref("media.ruin-av-sync.enabled",true);

/* 8: Disable securtiy prompt */
pref("security.insecure_field_warning.contextual.enabled", false);

pref("dom.successive_dialog_time_limit", 0);

/* 9: Disable pdf security check */
pref("browser.safebrowsing.downloads.enabled", false);

/* 10: Disable plugin update check */
pref("plugins.hide_infobar_for_outdated_plugin", true);

/*Disable send IP to others*/
/*11:禁止firefox 更新检查*/
pref("app.feedback.baseURL","");
//pref("app.support.baseURL","www.loongnix.org");
pref("app.support.e10sAccessibilityUrl","");
pref("app.update.url","");
pref("app.update.url.details","");
pref("app.update.url.manual","");
pref("browser.search.update", false);
pref("browser.dictionaries.download.url","");

/*2:firefox 扩展程序更新检*/
pref("extensions.update.autoUpdateDefault",       false);

/*3:附加组件(add-on)元数据更新*/
pref("extensions.getAddons.cache.enabled", false);

pref("extensions.shownSelectionUI",         true);
//pref("extensions.webservice.discoverURL","");
pref("extensions.webextensions.base-content-security-policy","");
pref("extensions.update.url","");
pref("extensions.update.background.url","");
//pref("extensions.systemAddon.update.url","");
pref("extensions.getAddons.search.url","");
//pref("extensions.getAddons.search.browseURL","");
pref("extensions.getAddons.recommended.url","");
pref("extensions.getAddons.getWithPerformance.url","");
pref("extensions.getAddons.get.url","");
pref("extensions.blocklist.detailsURL","");
pref("extensions.blocklist.itemURL","");
pref("webextensions.storage.sync.serverURL","");

/*4:告知扩展组件开发人员，扩展组件的签名策略*/
pref("xpinstall.signatures.devInfoURL","");

/*5:firefox 禁止跟踪保护*/
pref("privacy.trackingprotection.enabled",       false);
pref("privacy.trackingprotection.introURL","");

/*6:禁止浏览器开启地理位置服务*/
pref("browser.search.geoip.url", "");
pref("browser.geolocation.warning.infoURL","");
pref("browser.search.geoSpecificDefaults.url","");
pref("browser.search.searchEnginesURL","");
pref("geo.wifi.uri","");

/*7:firefox 会提交包括 Telemetry, firefox 健康报告, 崩溃报告, SSL连接错误报告 在内的数据到 Mozilla 的服务器，以便改进完善浏览器*/
pref("toolkit.telemetry.enabled", false);
pref("toolkit.telemetry.server","");
pref("toolkit.telemetry.infoURL","");
pref("breakpad.reportURL","");
pref("toolkit.crashreporter.infoURL","");
pref("datareporting.healthreport.about.reportUrl", "");
pref("datareporting.healthreport.infoURL","");
pref("datareporting.healthreport.uploadEnabled",false);
pref("datareporting.policy.dataSubmissionEnabled",false);
pref("security.ssl.errorReporting.url","");
pref("experiments.manifest.uri", "");

/*8:禁止Mozilla对用户进行采样调查，让他们对 firefox 的体验进行评分*/
pref("browser.selfsupport.url", "");

/*9:OpenH264 codec不是随 firefox一起分发的，而是在 firefox 首次启动时下载的*/
pref("media.gmp-manager.url","");

/*10:firefox 包含 发送视频到设备 的功能，默认是禁用的。当此功能被开启时，firefox 会在本地网络上多播发送 SSDP 数据包，用于搜索及配对相应的设备 */
pref("browser.casting.enabled", false);

/*11:firefox 的 captive portal 特性会检测你的网络连接是否需要登陆，这常用于使用公有 wi-fi 热点的场景下*/
pref("network.captive-portal-service.enabled", false);

/*12:firefox 访问google的恶意网址库，以检测当前网站是否是欺诈网站.*/
pref("browser.safebrowsing.downloads.remote.url","");
pref("browser.safebrowsing.provider.google.gethashURL","");
pref("browser.safebrowsing.provider.google.reportURL","");
pref("browser.safebrowsing.provider.google.updateURL","");
pref("browser.safebrowsing.provider.google4.gethashURL","");
pref("browser.safebrowsing.provider.google4.reportURL","");
pref("browser.safebrowsing.provider.google4.updateURL","");
pref("browser.safebrowsing.provider.mozilla.gethashURL","");
pref("browser.safebrowsing.provider.mozilla.updateURL","");
pref("browser.safebrowsing.reportMalwareMistakeURL","");
pref("browser.safebrowsing.reportPhishMistakeURL","");
pref("browser.safebrowsing.reportPhishURL","");
pref("captivedetect.canonicalURL","");

/*13:Default homepage change to about:blank*/
pref("browser.startup.homepage",            "data:text/plain,browser.startup.homepage=about:blank");
pref("browser.aboutHomeSnippets.updateUrl","");

pref("browser.newtabpage.directory.ping","");
pref("browser.newtabpage.directory.source","");
pref("browser.newtabpage.pinned","");

/*14:用户的火狐账户登陆，同步数据相关，例如同步书签，访问历史记录等,会访问mozilla网站*/
pref("identity.fxaccounts.settings.uri","");
pref("identity.fxaccounts.remote.webchannel.uri","");
pref("identity.fxaccounts.remote.signup.uri","");
pref("identity.fxaccounts.remote.signin.uri","");
pref("identity.fxaccounts.remote.profile.uri","");
pref("identity.fxaccounts.remote.oauth.uri","");
pref("identity.fxaccounts.remote.force_auth.uri","");
pref("identity.sync.tokenserver.uri","");

/*15:登陆用户的火狐账户后，同步数据相关，例如同步书签，访问历史记录等*/
pref("services.settings.server", "");
pref("services.sync.serverURL", "");
pref("services.sync.termsURL","");
pref("services.sync.syncKeyHelpURL","");
pref("services.sync.statusURL","");
pref("services.sync.privacyURL","");
pref("services.sync.jpake.serverURL","");
pref("services.sync.fxa.termsURL","");
pref("services.sync.fxa.privacyURL","");

/*16:提示用户参与用户体验调查，如果它被禁用，浏览器如果命令行启动会显示"startSubTour: No feature optoins specified" */
pref("browser.uitour.readerViewTrigger","");
pref("browser.uitour.themeOrigin","");
pref("browser.uitour.url","");

/*17:it releate GCLI: 开发者工具栏(shift+F2)*/
pref("devtools.devedition.promo.url","");
pref("devtools.gcli.imgurUploadURL","");
pref("devtools.gcli.jquerySrc","");
pref("devtools.gcli.lodashSrc","");
pref("devtools.gcli.underscoreSrc","");
pref("devtools.webide.adaptersAddonURL","");
pref("devtools.webide.adbAddonURL","");
pref("devtools.webide.addonsURL","");
pref("devtools.webide.simulatorAddonsURL","");
pref("devtools.devices.url", "");
pref("devtools.webide.templatesURL", "");

/*18:如果用户想定制Firefox，可以从这个网址中学习知识*/
pref("browser.customizemode.tip0.learnMoreUrl","");

/*19:客户可以通过这些网址里面罗列的社交网站，来像社交朋友分享firefox*/
pref("social.whitelist","");
pref("social.shareDirectory","");
pref("social.directories","");

/*20:配置了浏览器默认的一些白名单网站，都是mozilla社区网站*/
pref("webchannel.allowObject.urlWhitelist","");

/*21:配置了用户和mozilla社区聊天的网址:如mibbit, yahoo*/
pref("gecko.handlerService.schemes.webcal.0.uriTemplate","");
pref("gecko.handlerService.schemes.mailto.1.uriTemplate","");
pref("gecko.handlerService.schemes.mailto.0.uriTemplate","");
pref("gecko.handlerService.schemes.ircs.0.uriTemplate","");
pref("gecko.handlerService.schemes.irc.0.uriTemplate","");

/*22:浏览器主题包网址 */
//pref("lightweightThemes.recommendedThemes","");
//pref("lightweightThemes.getMoreURL","");

/*23:android and ios  download url*/
pref("identity.mobilepromo.ios","");
pref("identity.mobilepromo.android","");

/*24: yahoo订阅网址*/
pref("browser.contentHandlers.types.0.uri","");

/*25: enable wasm */
pref("javascript.options.wasm", true);

/*26: Disable OCSP */
pref("security.OCSP.enabled", 0);

/*27: Disable window move resize */
pref("dom.disable_window_move_resize", true);

/*28: adjust context menu popup moment to be after the right-button mouse up event */
pref("ui.context_menus.after_mouseup", true);

pref("gfx.webrender.force-disabled", true);

/*29: make browser do not preventing webpage from playing sound by default */
pref("media.autoplay.default", 0);